Get a list of Users
GET /api
Lists all of the Users in the current Octopus Deploy instance, from all Teams. The results will be sorted alphabetically by username.
Query Parameters
filterstring
Filters the Users by Username/DisplayName/EmailAddress/IdentificationToken using the specifiedfilterfragment.isActiveboolean
A filter to return only active (true) or disabled (false) users. Omit to return both.isServiceAccountboolean
A filter to return only service account users.serviceAccountTypeenum
A filter to return only service accounts of the specified type.
Allowed values:Standard,Agent.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — Users that meet the filter conditions
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectCanPasswordBeEditedbooleanCreatedstring
Formatdate-time.DisplayNamestring
Maximum length 64.EmailAddressstring
Formatemail. Maximum length 256.Idstring
Gets or sets a unique identifier for this resource.Identitiesarray of objectIsActivebooleanIsRequestorboolean
Gets or sets a value indicating whether this user resource represents the user who requested it.IsServicebooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.PasswordstringServiceAccountTypeenum
Allowed values:Standard,Agent.Usernamestring
Maximum length 64.
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"CanPasswordBeEdited": true,
"Created": "2020-01-01T00:00:00.000Z",
"DisplayName": "string",
"EmailAddress": "user@example.com",
"Id": "string",
"Identities": [
{}
],
"IsActive": true,
"IsRequestor": true,
"IsService": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Password": "string",
"ServiceAccountType": "Standard",
"Username": "string"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Create a new user
POST /api
Request Body
DisplayNamestring (required)
Minimum length 1.EmailAddressstringIdentitiesarray of objectClaimsobjectIdentityProviderNamestring
IsActivebooleanIsServicebooleanPasswordstringServiceAccountTypeenum
Allowed values:Standard,Agent.Usernamestring (required)
Minimum length 1.
Response
201 — Created
CanPasswordBeEditedbooleanCreatedstring
Formatdate-time.DisplayNamestring
Maximum length 64.EmailAddressstring
Formatemail. Maximum length 256.Idstring
Gets or sets a unique identifier for this resource.Identitiesarray of objectClaimsobjectIdentityProviderNamestring
IsActivebooleanIsRequestorboolean
Gets or sets a value indicating whether this user resource represents the user who requested it.IsServicebooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.PasswordstringServiceAccountTypeenum
Allowed values:Standard,Agent.Usernamestring
Maximum length 64.
Example Request
{
"DisplayName": "string",
"EmailAddress": "string",
"Identities": [
{
"Claims": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"IdentityProviderName": "string"
}
],
"IsActive": true,
"IsService": true,
"Password": "string",
"ServiceAccountType": "Standard",
"Username": "string"
}Example Response
{
"CanPasswordBeEdited": true,
"Created": "2020-01-01T00:00:00.000Z",
"DisplayName": "string",
"EmailAddress": "user@example.com",
"Id": "string",
"Identities": [
{
"Claims": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"IdentityProviderName": "string"
}
],
"IsActive": true,
"IsRequestor": true,
"IsService": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Password": "string",
"ServiceAccountType": "Standard",
"Username": "string"
}Get a list of Users
GET /api
Lists all the Users in the System. The results will be sorted alphabetically by Username.
Response
200 — A list of all the users
CanPasswordBeEditedbooleanCreatedstring
Formatdate-time.DisplayNamestring
Maximum length 64.EmailAddressstring
Formatemail. Maximum length 256.Idstring
Gets or sets a unique identifier for this resource.Identitiesarray of objectClaimsobjectIdentityProviderNamestring
IsActivebooleanIsRequestorboolean
Gets or sets a value indicating whether this user resource represents the user who requested it.IsServicebooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.PasswordstringServiceAccountTypeenum
Allowed values:Standard,Agent.Usernamestring
Maximum length 64.
Example Response
[
{
"CanPasswordBeEdited": true,
"Created": "2020-01-01T00:00:00.000Z",
"DisplayName": "string",
"EmailAddress": "user@example.com",
"Id": "string",
"Identities": [
{
"Claims": {},
"IdentityProviderName": "string"
}
],
"IsActive": true,
"IsRequestor": true,
"IsService": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Password": "string",
"ServiceAccountType": "Standard",
"Username": "string"
}
]Provide the details of the enabled authentication providers and whether the current user can edit logins for the given user
GET /api
Also reachable at /api.
Path Parameters
userIdstring (required)
Response
200 — The currently enabled authentication providers
AuthenticationProvidersarray of objectCSSLinksarray of stringDisplayNamestringFormsLoginEnabledbooleanIdentityTypeenum
Allowed values:Guest,UsernamePassword,ActiveDirectory,OAuth.JavascriptLinksarray of stringLinksobjectNamestring
CanCurrentUserEditIdentitiesForUserbooleanLinksobject
Example Response
{
"AuthenticationProviders": [
{
"CSSLinks": [
"string"
],
"DisplayName": "string",
"FormsLoginEnabled": true,
"IdentityType": "Guest",
"JavascriptLinks": [
"string"
],
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string"
}
],
"CanCurrentUserEditIdentitiesForUser": true,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
}Search for users, using the authentication providers
GET /api
Query Parameters
partialNamestring (required)
Response
200 — The results of the external user provider search
LinksobjectResultsarray of objectIdentitiesarray of object
Example Response
{
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Results": [
{
"Identities": [
{}
]
}
]
}Get the metadata to describe the claims/fields used by authentication providers that support identities
GET /api
Response
200 — The user identity metadata
LinksobjectProvidersarray of objectClaimDescriptorsarray of objectIdentityProviderNamestringLinksobjectScimEnabledboolean
Example Response
{
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Providers": [
{
"ClaimDescriptors": [
{}
],
"IdentityProviderName": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ScimEnabled": true
}
]
}Log in
POST /api
Request Body
Passwordstring (required)
The password to log in with. Minimum length 1.RememberMeboolean
Whether the cookie should be persistent.RemoteIpAddressstring
IP Address of the user.StateobjectRedirectAfterLoginTostring
The Url, relative to the portal site, to redirect to post successful login.UsingSecureConnectionboolean
Whether the client says it’s using a secure connection. We need this because SSL offloading can obscure this and the server cannot tell whether the client initiated the call using a secure connection.
Usernamestring (required)
The username to log in with. Minimum length 1.
Response
200 — The details of a successful login
CanPasswordBeEditedbooleanCreatedstring
Formatdate-time.DisplayNamestring
Maximum length 64.EmailAddressstring
Formatemail. Maximum length 256.Idstring
Gets or sets a unique identifier for this resource.Identitiesarray of objectClaimsobjectIdentityProviderNamestring
IsActivebooleanIsRequestorboolean
Gets or sets a value indicating whether this user resource represents the user who requested it.IsServicebooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.PasswordstringServiceAccountTypeenum
Allowed values:Standard,Agent.Usernamestring
Maximum length 64.
Example Request
{
"Password": "string",
"RememberMe": true,
"RemoteIpAddress": "string",
"State": {
"RedirectAfterLoginTo": "string",
"UsingSecureConnection": true
},
"Username": "string"
}Example Response
{
"CanPasswordBeEdited": true,
"Created": "2020-01-01T00:00:00.000Z",
"DisplayName": "string",
"EmailAddress": "user@example.com",
"Id": "string",
"Identities": [
{
"Claims": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"IdentityProviderName": "string"
}
],
"IsActive": true,
"IsRequestor": true,
"IsService": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Password": "string",
"ServiceAccountType": "Standard",
"Username": "string"
}POST /api/users/logout
POST /api
Logs out the current user.
Response
200 — Success
Get information about the current user
GET /api
Response
200 — The current user’s details
CanPasswordBeEditedbooleanCreatedstring
Formatdate-time.DisplayNamestring
Maximum length 64.EmailAddressstring
Formatemail. Maximum length 256.Idstring
Gets or sets a unique identifier for this resource.Identitiesarray of objectClaimsobjectIdentityProviderNamestring
IsActivebooleanIsRequestorboolean
Gets or sets a value indicating whether this user resource represents the user who requested it.IsServicebooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.PasswordstringServiceAccountTypeenum
Allowed values:Standard,Agent.Usernamestring
Maximum length 64.
Example Response
{
"CanPasswordBeEdited": true,
"Created": "2020-01-01T00:00:00.000Z",
"DisplayName": "string",
"EmailAddress": "user@example.com",
"Id": "string",
"Identities": [
{
"Claims": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"IdentityProviderName": "string"
}
],
"IsActive": true,
"IsRequestor": true,
"IsService": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Password": "string",
"ServiceAccountType": "Standard",
"Username": "string"
}Register a new user and responds with an authentication cookie. Unless the first administrator user is being registered, an invitation code must be provided
POST /api
Request Body
DisplayNamestring (required)
Minimum length 1.EmailAddressstringIdentitiesarray of objectClaimsobjectIdentityProviderNamestring
InvitationCodestring (required)
Minimum length 1.Passwordstring (required)
Minimum length 1.Usernamestring (required)
Minimum length 1.
Response
201 — Created
CanPasswordBeEditedbooleanCreatedstring
Formatdate-time.DisplayNamestring
Maximum length 64.EmailAddressstring
Formatemail. Maximum length 256.Idstring
Gets or sets a unique identifier for this resource.Identitiesarray of objectClaimsobjectIdentityProviderNamestring
IsActivebooleanIsRequestorboolean
Gets or sets a value indicating whether this user resource represents the user who requested it.IsServicebooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.PasswordstringServiceAccountTypeenum
Allowed values:Standard,Agent.Usernamestring
Maximum length 64.
Example Request
{
"DisplayName": "string",
"EmailAddress": "string",
"Identities": [
{
"Claims": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"IdentityProviderName": "string"
}
],
"InvitationCode": "string",
"Password": "string",
"Username": "string"
}Example Response
{
"CanPasswordBeEdited": true,
"Created": "2020-01-01T00:00:00.000Z",
"DisplayName": "string",
"EmailAddress": "user@example.com",
"Id": "string",
"Identities": [
{
"Claims": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"IdentityProviderName": "string"
}
],
"IsActive": true,
"IsRequestor": true,
"IsService": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Password": "string",
"ServiceAccountType": "Standard",
"Username": "string"
}Get a User by ID
GET /api
Path Parameters
idstring (required)
ID of the User to load.
Response
200 — The user details
CanPasswordBeEditedbooleanCreatedstring
Formatdate-time.DisplayNamestring
Maximum length 64.EmailAddressstring
Formatemail. Maximum length 256.Idstring
Gets or sets a unique identifier for this resource.Identitiesarray of objectClaimsobjectIdentityProviderNamestring
IsActivebooleanIsRequestorboolean
Gets or sets a value indicating whether this user resource represents the user who requested it.IsServicebooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.PasswordstringServiceAccountTypeenum
Allowed values:Standard,Agent.Usernamestring
Maximum length 64.
Example Response
{
"CanPasswordBeEdited": true,
"Created": "2020-01-01T00:00:00.000Z",
"DisplayName": "string",
"EmailAddress": "user@example.com",
"Id": "string",
"Identities": [
{
"Claims": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"IdentityProviderName": "string"
}
],
"IsActive": true,
"IsRequestor": true,
"IsService": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Password": "string",
"ServiceAccountType": "Standard",
"Username": "string"
}Modify an existing user
PUT /api
Path Parameters
idstring (required)
Request Body
DisplayNamestring (required)
Minimum length 1.EmailAddressstringIdstring (required)Identitiesarray of objectClaimsobjectIdentityProviderNamestring
IsActiveboolean (required)PasswordstringUsernamestring (required)
Minimum length 1.
Response
200 — The updated user
CanPasswordBeEditedbooleanCreatedstring
Formatdate-time.DisplayNamestring
Maximum length 64.EmailAddressstring
Formatemail. Maximum length 256.Idstring
Gets or sets a unique identifier for this resource.Identitiesarray of objectClaimsobjectIdentityProviderNamestring
IsActivebooleanIsRequestorboolean
Gets or sets a value indicating whether this user resource represents the user who requested it.IsServicebooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.PasswordstringServiceAccountTypeenum
Allowed values:Standard,Agent.Usernamestring
Maximum length 64.
Example Request
{
"DisplayName": "string",
"EmailAddress": "string",
"Id": "string",
"Identities": [
{
"Claims": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"IdentityProviderName": "string"
}
],
"IsActive": true,
"Password": "string",
"Username": "string"
}Example Response
{
"CanPasswordBeEdited": true,
"Created": "2020-01-01T00:00:00.000Z",
"DisplayName": "string",
"EmailAddress": "user@example.com",
"Id": "string",
"Identities": [
{
"Claims": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"IdentityProviderName": "string"
}
],
"IsActive": true,
"IsRequestor": true,
"IsService": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Password": "string",
"ServiceAccountType": "Standard",
"Username": "string"
}Delete an existing User
DELETE /api
Path Parameters
idstring (required)
ID of the user to delete.
Response
200 — Success
Revoke all sessions for a user
PUT /api
Path Parameters
userIdstring (required)
ID of the User to revoke.
Response
200 — Empty response, indicating the sessions have been revoked
Example Response
{}